## org.eclipse.emf.common.util
Interface DiagnosticChain

All Known Implementing Classes:
  BasicDiagnostic

    public interface DiagnosticChain

An accumulator of diagnostics.

Method Summary
`void` `add(Diagnostic diagnostic)` Adds the diagnostic to the chain.
`void` `addAll(Diagnostic diagnostic)` Adds the `children` of the diagnostic to the chain.
`void` `merge(Diagnostic diagnostic)` If the diagnostic has `children`, `add`s those children, otherwise, `add`s the diagnostic.

Method Detail

### add

    void add(Diagnostic diagnostic)

  Adds the diagnostic to the chain.

### addAll

    void addAll(Diagnostic diagnostic)

  Adds the `children` of the diagnostic to the chain.

### merge

    void merge(Diagnostic diagnostic)

  If the diagnostic has `children`, `add`s those children, otherwise, `add`s the diagnostic.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.